# Uses of Interface
org.eclipse.core.runtime.content.IContentTypeSettings

Packages that use IContentTypeSettings
Package
Description
org.eclipse.core.runtime.content
Provides core support for content types.

## Uses of IContentTypeSettings in org.eclipse.core.runtime.content

Subinterfaces of IContentTypeSettings in org.eclipse.core.runtime.content
Modifier and Type
Interface
Description
`interface`
`IContentType`
Content types represent and provide information on file types, such as associated file names/extensions, default charset, etc.
Methods in org.eclipse.core.runtime.content that return IContentTypeSettings
Modifier and Type
Method
Description
`IContentTypeSettings`
IContentType.`getSettings(IScopeContext context)`
Returns the settings for this content type in the given preference context.